qos-云盘上传速率经常低于1000kbps

06/12/2025 15:52 - 天琦 刘
Description

测试步骤：

1.Telnet登陆网关；

2.启用QoS功能

dbus-send --system --type=method_call --print-reply --dest=com.ctc.igd1 /com/ctc/igd1/Network/QoS com.ctc.igd1.Properties.Set

string:"com.ctc.igd1.QoS" string:"Enable" variant:boolean:true

3.设定QoS机制为承诺速率

gdbus call -y -d com.ctc.igd1 -o /com/ctc/igd1/Network/QoS -m com.ctc.igd1.Properties.SetMulti com.ctc.igd1.QoS

"{'Plan':<'car'>,'Mode':<'OTHER'>}"

4.使能优先级1

gdbus call -y -d com.ctc.igd1 -o /com/ctc/igd1/Network/QoS/PriorityQueue/1 -m com.ctc.igd1.Properties.SetMulti

com.ctc.igd1.QoSPriorityQueue "{'Enable':<true>,'Priority':<uint32 1>,'Weight':<uint32 0>,'Car':<int32 1000>}"

5.添加分类规则

gdbus call -y -d com.ctc.igd1 -o /com/ctc/igd1/Network/QoS/Classification -m com.ctc.igd1.ObjectManager.AddObject

gdbus call -y -d com.ctc.igd1 -o /com/ctc/igd1/Network/QoS/Classification/1 -m com.ctc.igd1.Properties.SetMulti

com.ctc.igd1.QoSClassification "{'ClassQueue':<uint32 1>}"

gdbus call -y -d com.ctc.igd1 -o /com/ctc/igd1/Network/QoS/Classification -m com.ctc.igd1.ObjectManager.AddObject

gdbus call -y -d com.ctc.igd1 -o /com/ctc/igd1/Network/QoS/Classification/2 -m com.ctc.igd1.Properties.SetMulti

com.ctc.igd1.QoSClassification "{'ClassQueue':<uint32 1>}"

6.添加类型规则,Max,Min为协议端口, 开启对80及443端口设置承诺速率.

gdbus call -y -d com.ctc.igd1 -o /com/ctc/igd1/Network/QoS/Classification/1/Type -m com.ctc.igd1.ObjectManager.AddObject

gdbus call -y -d com.ctc.igd1 -o /com/ctc/igd1/Network/QoS/Classification/1/Type/1 -m com.ctc.igd1.Properties.SetMulti

com.ctc.igd1.QoSClassificationType "{'Type':<'DPORT'>,'Max':<'80'>,'Min':<'80'>,'ProtocolList':<'TCP'>}"

gdbus call -y -d com.ctc.igd1 -o /com/ctc/igd1/Network/QoS/Classification/2/Type -m com.ctc.igd1.ObjectManager.AddObject

gdbus call -y -d com.ctc.igd1 -o /com/ctc/igd1/Network/QoS/Classification/2/Type/1 -m com.ctc.igd1.Properties.SetMulti

com.ctc.igd1.QoSClassificationType "{'Type':<'DPORT'>,'Max':<'443'>,'Min':<'443'>,'ProtocolList':<'TCP'>}"

7.使能Qos规则

dbus-send --system --type=method_call --print-reply --dest=com.ctc.igd1 /com/ctc/igd1/Network/QoS com.ctc.igd1.Properties.Set

string:"com.ctc.igd1.QoS" string:"Enable" variant:boolean:true

生成一个新的5G大文件，PC上传此大文件到天翼云盘或者百度盘，查看上传速率

【预期结果】

1.所有gdbus命令执行成功；

2.步骤8：上传速率应该不低于1000kbps；

实际结果：

上传速率应该经常低于1000kbps

History

#1 - 07/11/2025 18:03 - 家衡 付

- Assignee changed from 良缘 彭 to 天琦 刘

麻烦复测一下

#2 - 07/14/2025 11:38 - 家衡 付

- Status changed from New to Resolved
复测一下，设置完QOS之后，百度盘上传好几分钟1.2MB/s，即1.2 x 1024 x Kbyte=1.2 X 1024 x 1024 x 8bps,8000kbps以上，超过1000kbps

另外刘天文说epon环境下上传比较慢，跟环境也有关，也可以试一下非epon环境下的情况

#3 - 07/14/2025 11:47 - 家衡 付

- Assignee changed from 天琦 刘 to 天驰 王

#4 - 07/17/2025 11:31 - 天驰 王

- Status changed from Resolved to Closed

xgpon与10gepon 环境都在1.2MB/s以上，超过1000kbps
